package cn.sagacloud.server.algorithm.models.entities

import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import com.fasterxml.jackson.annotation.JsonProperty
import io.swagger.annotations.ApiModel
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 管道对照表
 * @author  Cainga
 * @date  2020/12/3 15:53
 */

@ApiModel(description = "管道对照")
@Table(name = "revit.pd_comp")
@JsonIgnoreProperties(ignoreUnknown = true)
open class PipeDuctComp {

    /** id */
    @Column(name = "id", updatable = false)
    @Id
    var id: Int? = null

    /** 标准管道名称 */
    @Column(name = "pd_name")
    var pdName: String? = null

    /** 项目管道名称 */
    @Column(name = "p_pd_name")
    var pPdName: String? = null
}